<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>it.micegroup.voila.runtime</groupId>
	<artifactId>voila-runtime-root</artifactId>
	<packaging>pom</packaging>
	<name>Java framework Root runtime module</name>
	<version>${revision}</version>
	<modules>
		<module>../voila-runtime-core</module>
		<module>../voila-runtime-displaytag</module>
		<module>../voila-runtime-dwrajax</module>
		<module>../voila-runtime-hibernate</module>
		<module>../voila-runtime-security</module>
		<module>../voila-runtime-web</module>
		<module>../voila-runtime-springmvc</module>
		<module>../voila-runtime-springws</module>
		<module>../voila-runtime-restws</module>
		<module>../voila-runtime-style-edstribute</module>
		<module>../voila-runtime-style-newage2014</module>
		<module>../voila-runtime-style-consip2008</module>
		<module>../voila-runtime-style-responsive</module>
		<module>../voila-runtime-style-responsive-adminlte</module>
		<module>../voila-runtime-web-res-dojo</module>
		<module>../voila-runtime-web-res-jquery</module>
		<module>../voila-runtime-web-res-mce</module>
		<module>../voila-runtime-mail</module>
		<module>../voila-runtime-jasper4</module>
		<module>../voila-runtime-springtest</module>
		<module>../voila-runtime-quartz</module>
		<module>../voila-runtime-hibernate-search</module>
		<module>../voila-runtime-hibernate-spatial</module>
		<module>../voila-runtime-batch</module>
		<module>../voila-runtime-rtftemplate</module>
		<module>../voila-runtime-oawtemplate</module>
	</modules>

	<url>http://www.micegroup.it</url>
	<licenses>
		<license>
			<name>MICE</name>
			<url>http://www.micegroup.it/voila/license.html</url>
			<distribution>repo</distribution>
			<comments>A business-friendly OSS license</comments>
		</license>
	</licenses>
	<properties>
		<java.version>1.8</java.version>
		<project.build.sourceEncoding>ISO-8859-1</project.build.sourceEncoding>
		<!-- <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> -->
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<org.springframework.version>3.1.1.RELEASE</org.springframework.version>
		<org.springframework.security.version>3.1.0.RELEASE</org.springframework.security.version>
		<org.slf4j.version>1.5.10</org.slf4j.version>
    	<!-- <maven.javadoc.skip>true</maven.javadoc.skip> -->
    	<revision>1.0-SNAPSHOT</revision>
	</properties>
	<organization>
		<name>MICE s.r.l.</name>
		<url>http://www.micegroup.it</url>
	</organization>
	<developers>
		<developer>
			<id>emilio.dolce@micegroup.it</id>
			<name>Emilio Dolce</name>
			<email>emilio.dolce@micegroup.it</email>
			<url>http://www.micegroup.it</url>
			<organization>MICE s.r.l.</organization>
			<organizationUrl>http://www.micegroup.it</organizationUrl>
			<roles>
				<role>architect</role>
				<role>developer</role>
			</roles>
			<timezone>-1</timezone>
			<properties>
				<picUrl>http://www.micegroup.it</picUrl>
			</properties>
		</developer>
	</developers>
	<issueManagement>
		<system>Jira</system>
		<url>http://www.micegroup.it/jira/</url>
	</issueManagement>
	<ciManagement>
		<system>hudson</system>
		<url>http://www.micegroup.it/hudson</url>
	</ciManagement>
<!--
	<scm>
		<developerConnection>scm:git:http://gitlab.micegroup.it/mice/voila-runtimes.git</developerConnection>
		<connection>scm:git:http://gitlab.micegroup.it/mice/voila-runtimes.git</connection>
		<url>http://gitlab.micegroup.it/mice/voila-runtimes.git</url>
		<tag>HEAD</tag>
	</scm>

	<scm>
	   	<developerConnection>scm:git:git@gitlab.micegroup.it/mice/voila-runtimes.git</developerConnection>
		<connection>scm:git:git@gitlab.micegroup.it/mice/voila-runtimes.git</connection>
		<url>http://gitlab.micegroup.it/mice/voila-runtimes.git</url>
		<tag>HEAD</tag>
	</scm>
-->
	<distributionManagement>
		<!-- use the following if you're not using a snapshot version. -->
<!-- 		<repository> -->
<!-- 			<id>nexus</id> -->
<!-- 			<name>RepositoryProxy</name> -->
<!-- 			<url>${miceReleasesRepoUrl}</url> -->
<!-- 		</repository> -->
<!-- 		<snapshotRepository> -->
<!-- 			<id>nexus</id> -->
<!-- 			<name>RepositoryProxy</name> -->
<!-- 			<url>${miceSnapshotsRepoUrl}</url> -->
<!-- 		</snapshotRepository> -->
		<repository>
			<id>oss</id>
			<name>RepositoryProxy</name>
			<url>https://oss.sonatype.org/service/local/staging/deploy/maven2</url>
		</repository>
		<!-- use the following if you ARE using a snapshot version. -->
		<snapshotRepository>
			<id>oss</id>
			<name>RepositoryProxy</name>
			<url>https://oss.sonatype.org/content/repositories/snapshots</url>
		</snapshotRepository>
		<!--
		<site>
			<id>apache.website</id>
			<name>Apache Website</name>
			<url>/</url>
		</site>
		 -->
	</distributionManagement>
	<build>
		<plugins>
			<!-- tell the compiler we can use 1.5; we only need this for eclipse:eclipse 
				compatibility -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>3.0.0-M5</version>
				<configuration>
					<junitArtifactName>org.junit:com.springsource.org.junit</junitArtifactName>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-source-plugin</artifactId>
				<version>3.2.1</version>
				<configuration>
					<attach>true</attach>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>3.0.0-M1</version>
				<configuration>
					<tagNameFormat>v@{project.version}</tagNameFormat>
					<autoVersionSubmodules>true</autoVersionSubmodules>
				</configuration>
      		</plugin>
			<!--
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-scm-plugin</artifactId>
				<version>1.11.2</version>
				<configuration>
					<connectionType>connection</connectionType>
				</configuration>
			</plugin>
			-->
			<!-- 
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-site-plugin</artifactId>
			</plugin>
			 -->
		</plugins>
	</build>
	<repositories>
		<repository>
			<id>MICE central nexus repo</id>
			<url>http://www.micegroup.it/nexus/content/groups/public</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>interval:60</updatePolicy>
			</snapshots>
		</repository>
		<repository>
			<id>OSGEO GeoTools repo</id>
			<url>http://download.osgeo.org/webdav/geotools</url>
		</repository>
		<repository>
			<id>Hibernate Spatial repo</id>
			<url>http://www.hibernatespatial.org/repository</url>
		</repository>
	</repositories>

	<dependencies>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-tx</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-aop</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context</artifactId>
			<version>${org.springframework.version}</version>
			<exclusions>
				<!-- Exclude Commons Logging in favor of SLF4j -->
				<exclusion>
					<groupId>commons-logging</groupId>
					<artifactId>commons-logging</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context-support</artifactId>
			<version>${org.springframework.version}</version>
		</dependency>
		<!-- Logging -->
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>${org.slf4j.version}</version>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>jcl-over-slf4j</artifactId>
			<version>${org.slf4j.version}</version>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<version>${org.slf4j.version}</version>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.17</version>
			<exclusions>
				<exclusion>
					<groupId>javax.mail</groupId>
					<artifactId>mail</artifactId>
				</exclusion>
				<exclusion>
					<groupId>javax.jms</groupId>
					<artifactId>jms</artifactId>
				</exclusion>
				<exclusion>
					<groupId>com.sun.jdmk</groupId>
					<artifactId>jmxtools</artifactId>
				</exclusion>
				<exclusion>
					<groupId>com.sun.jmx</groupId>
					<artifactId>jmxri</artifactId>
				</exclusion>
			</exclusions>
			<scope>compile</scope>
		</dependency>

		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>1.8.3</version>
		</dependency>
		<dependency>
			<groupId>commons-lang</groupId>
			<artifactId>commons-lang</artifactId>
			<version>2.5</version>
		</dependency>
		<dependency>
			<groupId>commons-digester</groupId>
			<artifactId>commons-digester</artifactId>
			<version>1.6</version>
			<exclusions>
				<exclusion>
					<artifactId>xml-apis</artifactId>
					<groupId>xml-apis</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>1.4</version>
		</dependency>
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2.1</version>
		</dependency>
		<dependency>
			<groupId>org.apache.velocity</groupId>
			<artifactId>velocity</artifactId>
			<version>1.6.4</version>
		</dependency>
		<dependency>
			<groupId>velocity-tools</groupId>
			<artifactId>velocity-tools-generic</artifactId>
			<version>1.2</version>
		</dependency>
		<dependency>
			<groupId>c3p0</groupId>
			<artifactId>c3p0</artifactId>
			<version>0.9.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>aspectjweaver</artifactId>
			<version>1.6.9</version>
		</dependency>
	</dependencies>

	<reporting>
		<plugins>
			<!--
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-project-info-reports-plugin</artifactId>
				<version>2.1</version>
				<configuration>
					<dependencyLocationsEnabled>false</dependencyLocationsEnabled>
				</configuration>
			</plugin>
			-->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<version>3.2.0</version>
				<configuration>
					<failOnError>false</failOnError>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-checkstyle-plugin</artifactId>
				<version>3.1.1</version>
				<configuration>
					<doclint>none</doclint>
				</configuration>
				<!-- <configuration> -->
				<!-- <configLocation>skyit_checks.xml</configLocation> -->
				<!-- </configuration> -->
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jxr-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>findbugs-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>net.sourceforge.maven-taglib</groupId>
				<artifactId>maven-taglib-plugin</artifactId>
				<configuration>
					<doclint>none</doclint>
				</configuration>
			</plugin>
		</plugins>
	</reporting>
</project>